> ## Documentation Index
> Fetch the complete documentation index at: https://docs.switchagents.ai/llms.txt
> Use this file to discover all available pages before exploring further.

> ## Agent Instructions
> These docs moved from docs.flintai.dev to docs.switchagents.ai. Use docs.switchagents.ai for every link and request.
> To search these docs from an AI tool, connect the MCP server at https://docs.switchagents.ai/mcp. The page index is at https://docs.switchagents.ai/llms.txt.

# List effective model pricing

> List the effective model pricing (platform defaults plus custom overrides) for a workspace



## OpenAPI

````yaml /switch-trust/api-reference/openapi.json get /cost/model-pricing/tenants/{tenant_id}/workspaces/{workspace_id}
openapi: 3.0.3
info:
  contact: {}
  description: Switch Trust API
  license:
    name: Switch AI
    url: https://www.sandboxaq.com/legal/eula
  title: Switch Trust API
  version: 1.0.0
servers:
  - description: Flint AI Platform (per-tenant instance)
    url: https://{instance}.flintai.dev/api/v1
    variables:
      instance:
        default: your-instance
        description: Your Flint AI instance subdomain
security: []
paths:
  /cost/model-pricing/tenants/{tenant_id}/workspaces/{workspace_id}:
    get:
      tags:
        - cost
      summary: List effective model pricing
      description: >-
        List the effective model pricing (platform defaults plus custom
        overrides) for a workspace
      operationId: ListModelPricing
      parameters:
        - description: Tenant ID
          in: path
          name: tenant_id
          required: true
          schema:
            type: string
        - description: Workspace ID
          in: path
          name: workspace_id
          required: true
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/cost.ListModelPricingResult'
          description: Effective model pricing
        '401':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/common.RequestError'
          description: Unauthorized
        '403':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/common.RequestError'
          description: Forbidden
        '500':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/common.RequestError'
          description: Internal Server Error
      security:
        - BearerAuth: []
components:
  schemas:
    cost.ListModelPricingResult:
      properties:
        items:
          items:
            $ref: '#/components/schemas/cost.ModelPricing'
          type: array
        total_count:
          type: integer
      type: object
    common.RequestError:
      description: Error responses returned by the API
      properties:
        code:
          example: 400
          type: integer
        message:
          example: Invalid request
          type: string
      required:
        - code
        - message
      type: object
    cost.ModelPricing:
      properties:
        cache_read_cost_per_1m_tok:
          type: number
        cache_write_cost_per_1m_tok:
          type: number
        default_cache_read_cost_per_1m_tok:
          type: number
        default_cache_write_cost_per_1m_tok:
          type: number
        default_input_cost_per_1m_tok:
          type: number
        default_output_cost_per_1m_tok:
          type: number
        input_cost_per_1m_tok:
          type: number
        model_fingerprint:
          type: string
        model_name:
          type: string
        model_supplier:
          type: string
        output_cost_per_1m_tok:
          type: number
        price_as_of:
          type: string
        source:
          description: '"platform" or "custom"'
          type: string
      type: object
  securitySchemes:
    BearerAuth:
      description: Use this header with a Bearer token to authenticate requests.
      in: header
      name: Authorization
      type: apiKey

````